## com.bbn.openmap.layer.util.http
Interface IHttpResponse

public interface IHttpResponse

Method Summary
`void` `writeHttpResponse(java.lang.String contentType, byte[] response)` Write a byte[] response to the OutputStream.
`void` `writeHttpResponse(java.lang.String contentType, java.lang.String response)` Write a String response to the OutputStream.

Method Detail

### writeHttpResponse

    public void writeHttpResponse(java.lang.String contentType,
                                  java.lang.String response)
                           throws java.io.IOException

  Write a String response to the OutputStream.

  Parameters:
    `contentType` - the content type of the response.
    `response` - the string containing the response.
  Throws:
    `java.io.IOException`

### writeHttpResponse

    public void writeHttpResponse(java.lang.String contentType,
                                  byte[] response)
                           throws java.io.IOException

  Write a byte[] response to the OutputStream.

  Parameters:
    `contentType` - the content type of the response.
    `response` - the byte array containing the response.
  Throws:
    `java.io.IOException`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details